<?php
	function wpfresh4_get_plugin_settings() {
		return get_option( 'wpfresh4_settings' );
	}

	function wpfresh4_save_plugin_settings( $settings ) {
		return update_option( 'wpfresh4_settings', $settings );
	}

	function wpfresh4_get_settings( $path = array(), $settings = false ) {
		if( !$settings )
			$settings = wpfresh4_get_plugin_settings();

		if( empty( $path ) )
			return array();
		$val = $settings;
		foreach( $path as $field ) {
			$val = isset( $val[ $field ] ) ? $val[ $field ] : false;
		}
		return $val;
	}
?>